<?php

/*
Plugin Name: WP Facebook Like Send & Open Graph Meta
Version: 1.0
Description: Add Facebook Like and Send buttons after each post. Automatically include Open Graph Meta Tags
Author: Marvie Pons
Author URI: http://triptripper.com/
Donate URI: http://triptripper.com/how-to-tutorials/
Plugin URI: http://triptripper.com/how-to-tutorials/facebook-like-send-opengraph-wp-plugin/
  
Copyright 2012  Marvie Pons (email: celebritybanderas@gmail.com)

Released under GPL License.
*/

function fb_like_send_wp($content){
if(!is_feed() && !is_home()) {
$content .= '<div id="fb-root"></div><script src="http://connect.facebook.net/en_US/all.js#xfbml=1"></script><fb:like href="'.get_permalink($post->id).'" show_faces="true" width="400" send="true"></fb:like>';
}
return $content;
}
add_action('the_content', 'fb_like_send_wp');

//Adding the Open Graph in the Language Attributes
function add_og_doctype_wp( $output ) {
		return $output . ' xmlns:og="http://opengraphprotocol.org/schema/" xmlns:fb="http://www.facebook.com/2008/fbml"';
	}
add_filter('language_attributes', 'add_og_doctype_wp');

add_action('wp_head', 'add_facebook_og_wp');

function add_facebook_og_wp() {
	global $post;
	
	// single posts or pages
	if(is_single() || is_page()){
		
		// get image
		if(function_exists('get_post_thumbnail_id')){
			$catch_thumbs = wp_get_attachment_image_src(get_post_thumbnail_id($post->id), 'large');
			$catch_thumb = $catch_thumbs[0];
		}

		// If there is no featured image or any image, search post for images and display first one
		if($catch_thumb[0] == ''){
				$out = preg_match_all( '/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $match);
				if ( $out > 0 ){
					$catch_thumb = $match[1][0];
				}
		}

?>
<!-- Facebook Open Graph Tags added by WP Facebook Like Send & Open Graph Meta: http://triptripper.com/how-to-tutorials/facebook-like-send-opengraph-wp-plugin/ -->
<meta property="og:title" content="<?php the_title($post->id); ?>" />
<meta property="og:type" content="<?php
  if (is_single() || is_page()) { echo "article"; } else { echo "website";}
?>" />
<meta property="og:image" content="<?php echo $catch_thumb; ?>" />
<meta property="og:url" content="<?php the_permalink($post->id); ?>" />
<meta property="og:site_name" content="<?php bloginfo('name'); ?>" />
<?php
function og_meta_desc() {
global $post;
$meta = strip_tags($post->post_content);
$meta = str_replace(array("\n", "\r", "\t"), ' ', $meta);
$meta = substr($meta, 0, 200);
echo "<meta property=\"og:description\" content=\"$meta\"/>";
}
og_meta_desc();
?>

<!-- Facebook Open Graph Tags end -->
<?php
	}
}

?>